CVE-2012-0029

Priority
Medium
Description
Heap-based buffer overflow in the process_tx_desc function in the e1000
emulation (hw/e1000.c) in qemu-kvm 0.12, and possibly other versions,
allows guest OS users to cause a denial of service (QEMU crash) and
possibly execute arbitrary code via crafted legacy mode packets.
References
Assigned-to
jdstrand
Package
Upstream:needs-triage
Ubuntu 8.04 LTS (Hardy Heron):DNE
Ubuntu 10.04 LTS (Lucid Lynx):released (0.12.3+noroms-0ubuntu9.17)
Ubuntu 11.04 (Natty Narwhal):released (0.14.0+noroms-0ubuntu4.5)
Ubuntu 11.10 (Oneiric Ocelot):released (0.14.1+noroms-0ubuntu6.2)
Ubuntu 12.04 LTS (Precise Pangolin):released (1.0+noroms-0ubuntu4)
Patches:
Patch:7fff7710abc9893d8dce5dbad1e7093caf521132
Package
Source: qemu (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 8.04 LTS (Hardy Heron):ignored (reached end-of-life)
Ubuntu 10.04 LTS (Lucid Lynx):DNE
Ubuntu 11.04 (Natty Narwhal):DNE
Ubuntu 11.10 (Oneiric Ocelot):DNE
Ubuntu 12.04 LTS (Precise Pangolin):DNE
Package
Source: kvm (LP Ubuntu Debian)
Upstream:needs-triage
Ubuntu 8.04 LTS (Hardy Heron):ignored (reached end-of-life)
Ubuntu 10.04 LTS (Lucid Lynx):DNE
Ubuntu 11.04 (Natty Narwhal):DNE
Ubuntu 11.10 (Oneiric Ocelot):DNE
Ubuntu 12.04 LTS (Precise Pangolin):DNE
More Information

Valid XHTML 1.0 Strict

Updated: 2012-06-01 15:22:35 UTC (commit 5347)